import 'package:flutter_test/flutter_test.dart';

import 'package:flutteropenbanking/OBClient.dart';
import 'package:flutteropenbanking/OBConfiguration.dart';

void main() {
  test('Get ANZ Products API should return correct URL', () async {
    OBConfiguration config = OBConfiguration.ANZConfiguration();
    OBClient client = OBClient(config);
    expect(client, isNotNull);
    expect(client.bankName, equals(config.name));
    expect(client.baseUri.toString(),
        equals("${config.baseUrl.toString()}/v${config.version}/${OBClient.rootPath}"));
    int statusCode = await client.getProducts();
    expect(statusCode, equals(200));
  });
}
